Account Cluster List V2

Get Active Cluster IDs, result can be optionally filtered on conditions specified by query parameter

Get Active Cluster IDs, result can be optionally filtered on conditions specified by query parameter

SecurityBasic Authentication
Request
query Parameters
search
string
  • Simple search mode: searches for clusters that have any field of {name, id, description} which contains search string.
  • Advanced search mode: String of space separated key:value entries where key is from {name, id, desc, app, tag} and value is the actual string value to search for.
    • There can be single occurrence of name, id, desc, app key and their value are matched by string inclusion check, case insensitive.
    • For tag key, there can be multiple entries and their search values should be of format tagKey:tagValue, match is determined when cluster contains a tag with exact tagKey case sensitively, and the tag value contains tagValue case insensitively.
  • Example:
    • search=name:str1 id:str2 desc:str3 app:APACHE_CASSANDRA tag:env:prod tag:managed_by:tf
    • search=someClusterName
Responses
200

Retrieved Cluster IDs.

get/cluster-management/v2/data-sources/clusters/v2
Request samples
Response samples
application/json
[
  • {
    }
]